libmaven-compiler-plugin-java_3.8.0-2_all.deb


Advertisement

Description

libmaven-compiler-plugin-java - Maven Compiler plugin

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libmaven-compiler-plugin-java_3.8.0-2_all.deb
Package name libmaven-compiler-plugin-java
Package version 3.8.0
Package release 2
Package architecture all
Package type deb
Category java
Homepage https://maven.apache.org/plugins/maven-compiler-plugin/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 50.40 KB
Installed size 78.00 KB

Alternatives

Package Version Architecture Repository
libmaven-compiler-plugin-java_3.8.0-2_all.deb 3.8.0 all Debian Main
libmaven-compiler-plugin-java - - -

Requires

Name Value
libmaven-shared-incremental-java -
libmaven-shared-utils-java >= 3.3.0
libmaven3-core-java >= 3.6.0
libplexus-compiler-java >= 2.8.5
libplexus-languages-java >= 0.9.10

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmaven-compiler-plugin-java_3.8.0-2_all.deb
Source Package maven-compiler-plugin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmaven-compiler-plugin-java deb package:
    # sudo apt-get install libmaven-compiler-plugin-java

Files

Path
/usr/share/doc/libmaven-compiler-plugin-java/TODO.Debian
/usr/share/doc/libmaven-compiler-plugin-java/changelog.Debian.gz
/usr/share/doc/libmaven-compiler-plugin-java/copyright
/usr/share/maven-repo/org/apache/maven/plugins/maven-compiler-plugin/3.1/maven-compiler-plugin-3.1.pom
/usr/share/maven-repo/org/apache/maven/plugins/maven-compiler-plugin/3.2/maven-compiler-plugin-3.2.pom
/usr/share/maven-repo/org/apache/maven/plugins/maven-compiler-plugin/3.6.2/maven-compiler-plugin-3.6.2.pom
/usr/share/maven-repo/org/apache/maven/plugins/maven-compiler-plugin/3.8.0/maven-compiler-plugin-3.8.0.jar
/usr/share/maven-repo/org/apache/maven/plugins/maven-compiler-plugin/3.8.0/maven-compiler-plugin-3.8.0.pom

Changelog

2018-11-20 - tony mancill <tmancill@debian.org>
maven-compiler-plugin (3.8.0-2) unstable; urgency=medium
* Team upload.
[ Tiago Stürmer Daitx ]
* Fix tests: (Closes: #910093)
- debian/rules: set JAVA_HOME to prevent compiler test failure.
- debian/patches/01-fix-wrong-junit-path.patch: patch wrong junit path in
compiler test.
[ tony mancill ]
* Update Homepage URL to use https
* Bump Standards-Version to 4.2.1
2018-07-30 - Emmanuel Bourg <ebourg@apache.org>
maven-compiler-plugin (3.8.0-1) unstable; urgency=medium
* Team upload.
* New upstream release
- New dependency on libplexus-languages-java
- Changed the source/target level to 1.7
- Updated the Maven rules
- Relocate the previous version of the plugin (3.6.2) to the new one
* Standards-Version updated to 4.1.5
* Switch to debhelper level 11
* Use salsa.debian.org Vcs-* URLs
* Track and download the new releases from GitHub
2017-09-07 - Emmanuel Bourg <ebourg@apache.org>
maven-compiler-plugin (3.6.2-2) unstable; urgency=medium
* Team upload.
* Removed the -java-doc package
2017-08-31 - Emmanuel Bourg <ebourg@apache.org>
maven-compiler-plugin (3.6.2-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Standards-Version updated to 4.1.0
2017-07-17 - Emmanuel Bourg <ebourg@apache.org>
maven-compiler-plugin (3.6.1-2) unstable; urgency=medium
* Team upload.
* Relocate the version 3.1 used by Maven 3.2.5+ to the current one
2017-07-03 - Emmanuel Bourg <ebourg@apache.org>
maven-compiler-plugin (3.6.1-1) unstable; urgency=medium
* Team upload.
* New upstream release:
- New dependency on libasm-java (>= 6.0~) and libqdox2-java (>= 2.0~M5)
- Depend on libplexus-compiler-java (>= 2.8.1)
- Depend on libmaven3-core-java instead of libmaven2-core-java
- New build dependency on libplexus-component-metadata-java
- Relocate the previous version of the plugin (3.2) to the new one
* Standards-Version updated to 4.0.0
* Switch to debhelper level 10
* Use secure Vcs-* URLs
2015-12-18 - Emmanuel Bourg <ebourg@apache.org>
maven-compiler-plugin (3.2-5) unstable; urgency=medium
* Team upload.
* Ignore the apache-rat and enforcer plugins to fix the build failure
with Maven 3
* Build with the DH sequencer instead of CDBS
2015-06-18 - Miguel Landaeta <nomadium@debian.org>
maven-compiler-plugin (3.2-4) unstable; urgency=medium
* Team upload.
* Remove B-D on libplexus-compiler-1.0-java since is no longer necessary.
* Add explicit versioned dependency on libplexus-compiler-java (>= 2.2~).
(Closes: #787199).
2015-05-23 - Miguel Landaeta <nomadium@debian.org>
maven-compiler-plugin (3.2-3) unstable; urgency=medium
* Team upload.
* Upload to unstable.
* Add B-D on libplexus-compiler-1.0-java to be able to build this package
with maven-compiler-plugin 2.5.1.
2015-03-07 - Miguel Landaeta <nomadium@debian.org>
maven-compiler-plugin (3.2-2) experimental; urgency=medium
* Team upload.
* Fix FTBFS due to incorrect Maven artifacts usage.

See Also

Package Description
libmaven-dependency-analyzer-java_1.10-1_all.deb Maven Dependency Analyzer
libmaven-dependency-plugin-java_3.1.1-1_all.deb Maven Dependency Plugin
libmaven-dependency-tree-java-doc_3.0.1-1_all.deb Documentation for Maven Dependency Tree
libmaven-dependency-tree-java_3.0.1-1_all.deb Maven Dependency Tree
libmaven-deploy-plugin-java_2.8.2-3_all.deb Maven Deploy plugin
libmaven-doxia-tools-java-doc_1.4-4_all.deb Documentation for Maven Doxia Integration Tools
libmaven-doxia-tools-java_1.4-4_all.deb utilities for integrating Doxia in Maven
libmaven-ejb-plugin-java_2.5.1-1_all.deb Maven EJB Plugin
libmaven-enforcer-plugin-java_3.0.0~M2-1_all.deb Maven build rule execution framework
libmaven-exec-plugin-java_1.6.0-4_all.deb Exec Maven Plugin (transitional package)
libmaven-file-management-java-doc_3.0.0-1_all.deb Documentation for Maven File Management API
libmaven-file-management-java_3.0.0-1_all.deb Maven File Management API
libmaven-filtering-java_3.1.1-1_all.deb Maven Filtering
libmaven-install-plugin-java_2.5.2-4_all.deb Maven install plugin
libmaven-invoker-java_3.0.0-1_all.deb Maven Invoker
Advertisement
Advertisement